%define upstream_name    Dist-Zilla-Plugin-PurePerlTests
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Run all your tests twice, once with XS code and once with pure Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin is for modules which ship with a dual XS/pure Perl
implementation.

The plugin makes a copy of all your tests when doing release testing (via
'dzil test' or 'dzil release'). The copy will set an environment value that
you specify in a 'BEGIN' block. You can use this to force your code to not
load the XS implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.60.0-6.mga10
+ Revision: 2198610
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-5.mga9
+ Revision: 1803345
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-4.mga8
+ Revision: 1494385
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-3.mga7
+ Revision: 1267555
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-2.mga6
+ Revision: 1026559
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.60.0-1.mga6
+ Revision: 1007590
- update to 0.06

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 967433
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 848937
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 745578
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511122
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 366369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 106878
- update to 0.03

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40552
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PurePerlTests

